Skip to main content

tx

POST

Returns a single transaction by its identifying hash or CTID.It returns the transaction data along with the metadata describing the results.

📘 The range of history you can query depends on the range of ledger versions the server holds.

When looking up older transactions, narrow the range with min_ledger and max_ledger.

param[0]
parametersobjectrequired
transactionstring
The 256-bit hash of the transaction to look up.
ctidstring
The compact transaction identifier of the transaction to look up. Only uppercase hex can be used.It is not supported on Clio v2.0 and earlier.
binaryboolean
Whether to return the transaction and its metadata as hex strings.
min_ledgerinteger
The start index of the ledger range to search. Use it together with max_ledger.The range can span at most 1000 ledger versions.
max_ledgerinteger
The end index of the ledger range to search. Use it together with min_ledger.The range can span at most 1000 ledger versions.
Responses
ctidstring
The compact transaction identifier of the transaction.
close_time_isostring
The time the ledger containing the transaction closed, in ISO 8601 format.
dateinteger
The time the ledger containing the transaction closed, in seconds since the Ripple Epoch.
hashstring
The unique hash that identifies the transaction.
ledger_indexinteger
The ledger index of the ledger containing the transaction.
ledger_hashstring
The hash of the ledger containing the transaction.
metaobject
The metadata describing the results of the transaction. Returned when binary is false.
meta_blobstring
The metadata, hex-encoded. Returned when binary is true.
tx_jsonobject
The transaction data. Returned when binary is false.
tx_blobstring
The transaction, hex-encoded. Returned when binary is true.
validatedboolean
Whether the transaction is included in a validated ledger version.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Unauthorized"
}
cURL
curl -X POST 'https://xrpl-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"method": "tx",
"params": [
{
"transaction": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7",
"binary": false
}
]
}'